//------------------------------------------------------------------------------------
// irr::scene::SMeshBuffer wrappers (parent is IMeshBuffer)
//------------------------------------------------------------------------------------
extern "C" 
{
	SMeshBuffer* IrrScene_SMeshBuffer_new()
	{
		return new SMeshBuffer();
	}	

	void IrrScene_SMeshBuffer_append(SMeshBuffer* mb,S3DVertex** vertices, u32 numVertices, const u16* const indices, u32 numIndices)
	{
		if (mb) {
			array<S3DVertex> vertices_array;
			for (int i=0; i<numVertices; i++) {	
				vertices_array.push_back(*vertices[i]);
			}
		
			mb->append(vertices_array.const_pointer(), numVertices, indices, numIndices);
		}
	}
}